function show_hide_pass(elem, type_pass) {
    var pass = document.querySelector('.jshop_register #password');
    var pass_2 = document.querySelector('.jshop_register #password_2');
    if (elem.getAttribute('attr') == 'hide-pass') {
        if (type_pass == 'password')
            pass.type = 'text';
        if (type_pass == 'confirmpassword')
            pass_2.type = 'text';
        elem.setAttribute('attr', 'show-pass');
		elem.src = "/plugins/system/show_pass/eye-slash.svg";
    } else {
        if (type_pass == 'password')
            pass.type = 'password';
        if (type_pass == 'confirmpassword')
            pass_2.type = 'password';
        elem.setAttribute('attr', 'hide-pass');
		elem.src = "/plugins/system/show_pass/eye.svg";
    }
}

jQuery(document).ready(function () {
    var pass_element = document.querySelector('.jshop_register #password');
    var pass_2_element = document.querySelector('.jshop_register #password_2');
    
    pass_element.parentElement.style.position = "relative";
    pass_2_element.parentElement.style.position = "relative";

    if (pass_element) {
        var view_pass_status = document.createElement("img");
        view_pass_status.src = "/plugins/system/show_pass/eye.svg";
        view_pass_status.className = "view-pass-status-img";
        view_pass_status.title = "Show password";
        view_pass_status.setAttribute('attr', 'hide-pass');
        view_pass_status.onclick = function() { 
            show_hide_pass(view_pass_status, 'password'); 
        };
        pass_element.parentElement.appendChild(view_pass_status);
    }
    
    if (pass_2_element) {
        var view_confirm_pass_status = document.createElement("img");
        view_confirm_pass_status.src = "/plugins/system/show_pass/eye.svg";
        view_confirm_pass_status.className = "view-confirm-pass-status-img";
        view_confirm_pass_status.title = "Show confirm password";
        view_confirm_pass_status.setAttribute('attr', 'hide-pass');
        view_confirm_pass_status.onclick = function() { 
            show_hide_pass(view_confirm_pass_status, 'confirmpassword'); 
        };
        pass_2_element.parentElement.appendChild(view_confirm_pass_status);
    }
    
});